//==============================================================================================================================================
// ПЕРЕМЕННЫЕ МОДУЛЯ
//==============================================================================================================================================

//==============================================================================================================================================
// ОБРАБОТЧИКИ СОБЫТИЙ ОБЪЕКТА
//==============================================================================================================================================

Процедура ПередЗаписью(Отказ, РежимЗаписи, РежимПроведения)
	
	Сумма = Подробности.Итог("Сумма");
	
КонецПроцедуры // ПередЗаписью()

//----------------------------------------------------------------------------------------------------------------------------------------------

Процедура ОбработкаПроведения(Отказ, РежимПроведения)

	Движения.ДенежныеСредства.Записывать = Истина;
	
	Для Каждого СтрокаТЧ Из Подробности Цикл
		
		Если СтрокаТЧ.Сумма > 0 Тогда
			Движение = Движения.ДенежныеСредства.ДобавитьПриход();
		Иначе
			Движение = Движения.ДенежныеСредства.ДобавитьРасход();
		КонецЕсли;
		
		Движение.Период 			= ?(ЗначениеЗаполнено(СтрокаТЧ.Дата), СтрокаТЧ.Дата, Дата);
		Движение.Регистратор 		= Ссылка;
		Движение.Сценарий 			= Сценарий;
		Движение.ДенежноеХранилище 	= СтрокаТЧ.ДенежноеХранилище;
		Движение.Сумма 				= ?(СтрокаТЧ.Сумма > 0, СтрокаТЧ.Сумма, -СтрокаТЧ.Сумма);
		Движение.Комментарий 		= ?(ЗначениеЗаполнено(СтрокаТЧ.Комментарий), СтрокаТЧ.Комментарий, Комментарий);
		Движение.Вид 				= СтрокаТЧ.Вид;
		
	КонецЦикла;
	
КонецПроцедуры // ОбработкаПроведения()

//==============================================================================================================================================
// ЭКСПОРТНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЪЕКТА
//==============================================================================================================================================

//==============================================================================================================================================
// СЕРВЕРНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЩЕГО НАЗНАЧЕНИЯ
//==============================================================================================================================================

//==============================================================================================================================================
// ОПЕРАТОРЫ ОСНОВНОЙ ПРОГРАММЫ
//==============================================================================================================================================

